ws-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Anthony Sute (JIRA)" <j...@apache.org>
Subject [jira] [Comment Edited] (AXIOM-469) org.apache.axiom.om.impl.builder.SAXOMBuilder class missing from Axiom API 1.2.15
Date Mon, 24 Aug 2015 19:11:46 GMT

    [ https://issues.apache.org/jira/browse/AXIOM-469?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14709882#comment-14709882
] 

Anthony Sute edited comment on AXIOM-469 at 8/24/15 7:11 PM:
-------------------------------------------------------------

Many thanks for the clarification and fast reply.  It's concerning that Axis2 1.6.3 which
was released in June of this year is supporting a three-year-old version of Axiom.  Do you
know if the Axis2 team will be incorporating official support for 1.2.15 anytime soon?

Are the changes/fixes to Axiom for 1.2.15 worth the effort to try to make work in Axis2 1.6.3?
 Is there too much risk associated with using Axiom 1.2.15 with Axis2 1.6.3?

I added axiom-compat-1.2.15.jar to my pom.xml and the build errors were resolved.  Thanks
again.


was (Author: orbitalgolem):
Many thanks for the clarification and fast reply.  It's concerning that Axis2 1.6.3 which
was released in June of this year is supporting a three-year-old version of Axiom.  Do you
know if the Axis2 team will be incorporating official support for 1.2.15 anytime soon?

Are the changes/fixes to Axiom for 1.2.15 worth the effort to try to make work in Axis2 1.6.3?

I added axiom-compat-1.2.15.jar to my pom.xml and the build errors were resolved.  Thanks
again.

> org.apache.axiom.om.impl.builder.SAXOMBuilder class missing from Axiom API 1.2.15
> ---------------------------------------------------------------------------------
>
>                 Key: AXIOM-469
>                 URL: https://issues.apache.org/jira/browse/AXIOM-469
>             Project: Axiom
>          Issue Type: Bug
>          Components: API
>    Affects Versions: 1.2.15
>         Environment: Windows 7 Professional 32-bit, Eclipse, Java, Tomcat Server 8, Axis
2 1.6.3, wsdl2java
>            Reporter: Anthony Sute
>
> I'm using wsdl2java (from Axis 2 1.6.3) to generate JAXBRI proxies from WSDL files. 
Each of the generated proxy files contains a JaxbRIDataSource class declaration with an override
of the getReader() function.  The getReader() function is invoking an org.apache.axiom.om.impl.builder.SAXOMBuilder
object.  Unfortunately, it appears that this class is no longer present in Axiom API 1.2.15.
 The generated function is below.  According to the "grepcode" site, the class existed in
1.2.14, but I can't find the class in the Project Explorer within Eclipse.
> I need a fix/workaround for this as quickly as possible.
>         public javax.xml.stream.XMLStreamReader getReader()
>             throws javax.xml.stream.XMLStreamException {
>             try {
>                 javax.xml.bind.JAXBContext context = wsContext;
>                 org.apache.axiom.om.impl.builder.SAXOMBuilder builder = new org.apache.axiom.om.impl.builder.SAXOMBuilder();
>                 javax.xml.bind.Marshaller marshaller = context.createMarshaller();
>                 marshaller.marshal(new javax.xml.bind.JAXBElement(
>                         new javax.xml.namespace.QName(nsuri, name),
>                         outObject.getClass(), outObject), builder);
>                 return builder.getRootElement().getXMLStreamReader();
>             } catch (javax.xml.bind.JAXBException e) {
>                 throw new javax.xml.stream.XMLStreamException("Error in JAXB marshalling",
>                     e);
>             }
>         }



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ws.apache.org
For additional commands, e-mail: dev-help@ws.apache.org


Mime
View raw message